//
// Job.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation


/** Describes the job information sent by querying them */

public struct Job: Codable {

    public enum Status: String, Codable { 
        case scheduling = "scheduling"
        case scheduled = "scheduled"
        case processing = "processing"
        case halted = "halted"
        case locked = "locked"
        case canceled = "canceled"
        case finished = "finished"
        case error = "error"
    }
    /** Describes the identification number (UUID) of a fax job */
    public var _id: String?
    /** Describes the account the job does belongs to */
    public var account: String?
    /** Describes the current state of the fax job */
    public var status: Status?
    /** If status is equal to &#x27;error&#x27; this field contains the error code number */
    public var errorCode: Int?
    public var options: JobOptions?
    public var info: JobInfo?
    public var statistics: JobStatistics?

    public init(_id: String? = nil, account: String? = nil, status: Status? = nil, errorCode: Int? = nil, options: JobOptions? = nil, info: JobInfo? = nil, statistics: JobStatistics? = nil) {
        self._id = _id
        self.account = account
        self.status = status
        self.errorCode = errorCode
        self.options = options
        self.info = info
        self.statistics = statistics
    }

    public enum CodingKeys: String, CodingKey { 
        case _id = "id"
        case account
        case status
        case errorCode
        case options
        case info
        case statistics
    }

}
